SCSI_TARGET_REAP_REF(9)

NAME
scsi_target_reap_ref_release - remove target from visibility

SYNOPSIS

void scsi_target_reap_ref_release(struct kref * kref);

ARGUMENTS

kref
    the reap_ref in the target being released

DESCRIPTION

Called on last put of reap_ref, which is the indication that no device under this target is visible anymore, so render the target invisible in sysfs. Note: we have to be in user context here because the target reaps should be done in places where the scsi device visibility is being removed.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT